#include <bits/stdc++.h>
#include <string>
#include <vector>
#include <stack>
#include <utility>
#include <algorithm>
#include <cmath>
#define ll long long
using namespace std;

void swap(double* a, double* b) 
{ 
    double t = *a; 
    *a = *b; 
    *b = t; 
} 

int partition (double arr[], int low, int high, double num[]) 
{ 
    double pivot = arr[high];
    int i = (low - 1);
  
    for (int j = low; j <= high- 1; j++) 
    { 
        if (arr[j] <= pivot) 
        { 
            i++;    
            swap(&arr[i], &arr[j]); 
            swap(&num[i], &num[j]);
        } 
    } 
    swap(&arr[i + 1], &arr[high]);
    swap(&num[i + 1], &num[high]); 
    return (i + 1); 
} 
  
void quickSort(double arr[], int low, int high, double num[]) 
{ 
    if (low < high) 
    { 
        int pi = partition(arr, low, high, num); 
        quickSort(arr, low, pi - 1,num); 
        quickSort(arr, pi + 1, high,num); 
    } 
}

double sum(double a[], int n)
{
	double uk=0;
	for(int i = 0; i < n; ++i)uk += a[i];
	
	return uk;
}

double procenatres(double a[],double p[],int n,int *res)
{
	double uk = 0;
	for(int i = 0; i < n; ++i)
	{
		uk += a[i];
	}
	
	int temp=0;
	temp = uk * p[0];
	int ind = 0;
	for(int i = 1; i < n; ++i)
	{
		if((uk - sum(a,i)) * p[i] > temp )
		{
			temp = (uk - sum(a,i)) * p[i];
			ind = i;
		}
	}
	
	*res = ind;
	return p[ind];
	
	
}

int main()
{
	int n;
	cin >> n;
	double p[n],a[n];
	int ind;
	double zarada = 0;
	for(int i = 0; i < n; ++i)
	{
		cin >> a[i] >> p[i];
	}
	quickSort(p, 0, n - 1, a);
	
	double res = procenatres(a,p,n,&ind);
	
	for(int i = ind; i < n; ++i)zarada += res * a[i];
	
	
	
	/*for(int i = 0; i < n; ++i)
	{
		cout << a[i] << " " << p[i] << endl;
	}*/
	
	
	/*double zarada = 0;
	for(int i = 0; i < n; ++i)
	{
		double per = (p[i]/100);
		double temp = 0;
		for(int j = 0; j < n; ++j)
		{
			if(per <= (p[j]/100))
			{
				temp += a[j]*per;
				//printf("\n%f * %f = %f, temp = %f\n",a[j],per,a[j]*per,temp);
			}
		}
		//printf("\n\nTemp=%f,a procenat = %f\n\n",temp,per);
		if(temp > zarada)zarada = temp;
	}*/
	
	
	
	printf("%f",zarada/100);
	
	return 0;
}